src/Entity/Movies.php
<?php

namespace App\Entity;

use App\Repository\MoviesRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=MoviesRepository::class)
 */
class Movies
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=20)
     */
    private $type;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $titre;

     /**
     * @ORM\Column(type="string", length=255)
     */
    private $affiche;

    /**
     * @ORM\Column(type="string", length=50, nullable=true)
     */
    private $genre;

    /**
     * @ORM\Column(type="date", nullable=true)
     */
    private $date_sortie;

    /**
     * @ORM\Column(type="string", length=250, nullable=true)
     */
    private $realisateurs;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $acteurs;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $synopsis;

    /**
     * @ORM\Column(type="string", length=20, nullable=true)
     */
    private $note;

    /**
     * @ORM\Column(type="string", length=250, nullable=true)
     */
    private $dispo_plateforme;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getType(): ?string
    {
        return $this->type;
    }

    public function setType(string $type): self
    {
        $this->type = $type;

        return $this;
    }

    public function getTitre(): ?string
    {
        return $this->titre;
    }

    public function setTitre(string $titre): self
    {
        $this->titre = $titre;

        return $this;
    }

    public function getAffiche(): ?string
    {
        return $this->affiche;
    }

    public function setAffiche(string $affiche): self
    {
        $this->affiche = $affiche;

        return $this;
    }

    public function getGenre(): ?string
    {
        return $this->genre;
    }

    public function setGenre(?string $genre): self
    {
        $this->genre = $genre;

        return $this;
    }

    public function getDateSortie(): ?\DateTimeInterface
    {
        return $this->date_sortie;
    }

    public function setDateSortie(?\DateTimeInterface $date_sortie): self
    {
        $this->date_sortie = $date_sortie;

        return $this;
    }

    public function getRealisateurs(): ?string
    {
        return $this->realisateurs;
    }

    public function setRealisateurs(?string $realisateurs): self
    {
        $this->realisateurs = $realisateurs;

        return $this;
    }

    public function getActeurs(): ?string
    {
        return $this->acteurs;
    }

    public function setActeurs(string $acteurs): self
    {
        $this->acteurs = $acteurs;

        return $this;
    }

    public function getSynopsis(): ?string
    {
        return $this->synopsis;
    }

    public function setSynopsis(string $synopsis): self
    {
        $this->synopsis = $synopsis;

        return $this;
    }

    public function getNote(): ?string
    {
        return $this->note;
    }

    public function setNote(?string $note): self
    {
        $this->note = $note;

        return $this;
    }

    public function getDispoPlateforme(): ?string
    {
        return $this->dispo_plateforme;
    }

    public function setDispoPlateforme(?string $dispo_plateforme): self
    {
        $this->dispo_plateforme = $dispo_plateforme;

        return $this;
    }
}

templates/affiche.html.twig
{% extends 'base.html.twig' %}

{% block body %}
    <input type="hidden" id="modifPunchoutOCI" value=""/>
    <div class="message-confirm-supp" id="MessageSupp">
        <p>Êtes-vous sûr de vouloir supprimer ce punchout ? </p>
        <button id="AnnulSuppression" class="btn-annule-suppression">Annuler</button>
        <a class="lien-url-supp" href="">
            <button id="ConfirmerSuppression" class="btn-confirm-suppression">
                Supprimer
            </button>
        </a>
    </div>
    <div class="main-content-punchout">
        <div class="home-title-button">
            <h1>{{ donneesFilm.titre }}</h1>
            {% for message in app.flashes('success') %}
                <div class="message-success" role="alert">
                    {{ message }}
                </div>
            {% endfor %}
            {% for message in app.flashes('danger') %}
                <div class="message-danger" role="alert">
                    {{ message }}
                </div>
            {% endfor %}
            {# {% if app.user.role == constant('App\\Main\\Variables::ADMIN') %} #}
                <button class="btn-del" urlSupp="">
                    <i class="fas fa-times"></i>
                    Supprimer
                </button>
            {# {% endif %} #}
        </div>
        <div class="infos-content">
            <img src="{{ donneesFilm.affiche}}" alt="Affiche du film {{ donneesFilm.titre }}">
            <div class="donneesFilm">
                <h2 class="titre_affiche">{{donneesFilm.titre}}</h2> <br>
                <div class=" realisateur_affiche">Réalisateur(s) : {{ donneesFilm.realisateurs}}</div> <br>
                <div class="acteur_affiche">Acteur(s) : {{ donneesFilm.acteurs }}</div> <br>
                <div class="synopsis_affiche">Synopsis : {{ donneesFilm.synopsis}}</div> <br>
                <div class="donnees_affiche">Genre : {{ donneesFilm.genre}}</div> <br>
                <div class="donnees_affiche">Date de sortie : {{ donneesFilm.dateSortie|date('d/m/Y')}}</div> <br>
                <div class="donnees_affiche">Note : {{ donneesFilm.note}}</div> <br>
                <div class="donnees_affiche">Disponible sur : {{ donneesFilm.dispoPlateforme}}</div> <br>

            </div>
        </div>
               
    </div>
{% endblock %}

templates/base.html.twig
<!DOCTYPE html>
<html class="{{ (pageName == 'login') ? 'login' }}">
    <head>
        <meta charset="UTF-8">
        <title>{{ title }}</title>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link href="https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900" rel="stylesheet">
        {% include 'page/css.html.twig' %}
    </head>
    <body>
        {% if (pageName != "login") %}
            {% include 'page/menu.html.twig' %}
        {% endif %}
        <div id="wrapper" class="main-content">
            {% block body %}
                {# {% if (pageName != "login") %} #}
                    
                {# {% endif %} #}

            {% endblock %}
        </div>
        {% include 'page/js.html.twig'%}
    </body>
</html>

templates/catalogue.html.twig
{% extends 'base.html.twig' %}
{% block body %}
    <div id="punchout-content">
        <div class="home-title-button">
            <h1>
                <img src="img/logo.png" alt="logo du site">
                Recherchez votre film ou votre série !
            </h1>
            {% for message in app.flashes('success') %}
                <div class="message-success" role="alert">
                    {{ message }}
                </div>
            {% endfor %}
            {% for message in app.flashes('danger') %}
                <div class="message-danger" role="alert">
                    {{ message }}
                </div>
            {% endfor %}
            
        </div>
        <form action="{{ url('home') }}" class="search-inline-form" id="search-movie-main-form">
            <input name="q" type="text" class="q-search" placeholder="Rechercher un film ou une série" value="{{query}}">
            <button class="btn-search"><i class="fas fa-search"></i></button>
        </form>
        <div class="movie-content">
            {% set i= 0 %}
            {% for film in filmListe %}
                {% set i = i + 1 %}
                <a href="{{ path('affiche') ~ "?id=" ~ film.id|number_format }}">
                    <div class=" film film_{{ i }}">
                        <img src="{{ film.affiche }}" alt=" Affiche du film " {{film.titre}}> <br>
                        <span>{{ film.titre }}</span>
                    </div>
                </a>
            {% endfor %}
        </div>
    </div>
{% endblock %}

templates/dashboard.html.twig
{% extends 'base.html.twig' %}
{% block body %}
    <div id="punchout-content">
        <div class="home-title-button">
            <h1>
                <i class="fas fa-users"></i>
                Punchouts
            </h1>
            {% for message in app.flashes('success') %}
                <div class="message-success" role="alert">
                    {{ message }}
                </div>
            {% endfor %}
            {% for message in app.flashes('danger') %}
                <div class="message-danger" role="alert">
                    {{ message }}
                </div>
            {% endfor %}
            
        </div>
        <div class="punchout-table">

            <table id="punchout-list" class="clickable-table-list">
                
                <thead>
                    <tr>
                        <th> Nom </th>
                        <th> Code Client </th>
                        <th> Code Enseigne </th>
                        <th> Type </th>
                        <th> Société </th>
                        <th> Action </th>
                    </tr>
                </thead>

                <tbody>
 
                </tbody>
            </table>
        </div>
    </div>
{% endblock %}